Name:		oswatcher
Version:	7.3.3
Release:	3%{?dist}
Summary:	OSWatcher - monitor operating system statistics

License:	GPLv2+
Source0:	oswatcher-%{version}.tar.gz
Source1:	COPYING
Source2:	oswatcher.rc
Source3:	oswatcher.cfg
Source4:	oswatcher.logrotate
Source5:	oswxentop.sh
Patch0:		no-heartbeat.patch
Patch1:		linux-friendly.patch
Patch2:		xentop.patch
Patch3:		options.patch
Patch4:		replace-ifconfig-netstat-with-ip.patch

BuildArch:	noarch
Requires(post):	chkconfig
Requires(preun): chkconfig
Requires(postun): initscripts
# ps, vmstat, top
Requires: procps
# iostat
Requires: sysstat
# ifconfig
Requires: net-tools
Requires: iproute
# note that xentop is optional and will be installed on machines where
# it is useful anyway

%description
OSWatcher (oswbb) is a collection of UNIX shell scripts intended to
collect and archive operating system and network metrics to aid
support in diagnosing performance issues. OSWatcher operates as a set
of background processes on the server and gathers OS data on a regular
basis, invoking such Unix utilities as vmstat, netstat and iostat.

%prep
%setup -q
%patch0 -b .no-heartbeat
%patch1 -b .linux-friendly
%patch2 -b .xentop
%patch3 -b .options
%patch4 -b .ip
cp %{SOURCE5} .

%build
sed -i \
    -e 's|@@libexec@@|%{_libexecdir}/oswatcher|g' \
    OSWatcher.sh

%install
rm -rf $RPM_BUILD_ROOT
files="ifconfigsub.sh iosub.sh mpsub.sh nfssub.sh oswib.sh oswnet.sh oswrds.sh
       oswsub.sh oswxentop.sh psmemsub.sh vmsub.sh xtop.sh"
install -m 0755 -d $RPM_BUILD_ROOT%{_libexecdir}/oswatcher
for f in $files; do
    install -m 0755 $f $RPM_BUILD_ROOT%{_libexecdir}/oswatcher/${f%.sh}
done

mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_initddir},%{_sysconfdir}/{sysconfig,logrotate.d}}
install -m 0755 OSWatcher.sh $RPM_BUILD_ROOT%{_sbindir}/OSWatcher
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_initddir}/oswatcher
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/oswatcher
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/oswatcher

%post
/sbin/chkconfig --add oswatcher

%preun
if [ "$1" -eq 0 ]; then
   /sbin/service oswatcher stop > /dev/null 2>&1
   /sbin/chkconfig --del oswatcher
fi

%postun
if [ "$1" -ge 1 ]; then
   /sbin/service oswatcher condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc docs/OSWatcher/* Example_extras.txt Exampleprivate.net call_du.sh call_sar.sh call_uptime.sh
%{_sbindir}/*
%dir %{_libexecdir}/oswatcher
%{_libexecdir}/*
%ghost %config(noreplace,missingok) %attr(755,root,root) %{_libexecdir}/oswatcher/private.net
%{_initddir}/oswatcher
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/oswatcher
%{_sysconfdir}/logrotate.d/oswatcher


%changelog
* Wed Dec 13 2017 Herbert van den Bergh <herbert.van.den.bergh@oracle.com> - 7.3.3-3
- Replace inefficient ifconfig and netstat commands with ip commands. [orabug 27264234]

* Wed Jan 13 2016 John Haxby <john.haxby@oracle.com> - 7.3.3-2
- Refactor option parsing to make it work with recent initscripts. [orabug 22526481]

* Fri Jul 24 2015 john.haxby@oracle.com
- Initial release
